Subject: Re: bug#46878: 27.1; lisp-outline-level returns imprecise level number

From: Juri Linkov <[email-masked]>
Date: Mon, 08 Mar 2021 19:52:13 +0200

>> M-x outline-cycle-buffer RET
>>
>> It consistently alternates between only two states:
>>
>> Show all
>> All headings
>>
>> But after evaluating your version of lisp-outline-level,
>> it alternates between three states:
>>
>> Show all
>> Top level headings
>> All headings
>
> That is strange.  Is outline-regexp changing?  (I'm not on Emacs 28 so I can't check.)

I don't think that outline-regexp is changing.  But I can't check
in Emacs 27 because outline-cycle-buffer is only in Emacs 28.